<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>WireEventHandle (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WireEventHandle (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/WireEventHandle.html" target="_top">Frames</a></li>
<li><a href="WireEventHandle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Class WireEventHandle" class="title">Class WireEventHandle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractEventHandle</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.WireEventHandle</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">WireEventHandle</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng">AbstractEventHandle</a>
implements <a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a></pre>
<div class="block">Event handle for the wire protocol.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.gds.ng.wire.AsynchronousChannelListener">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.Event.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener.Event</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#WireEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-org.firebirdsql.encodings.Encoding-">WireEventHandle</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
               <a href="../../../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds">EventHandler</a>&nbsp;eventHandler,
               <a href="../../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#assignNewLocalId--">assignNewLocalId</a></span>()</code>
<div class="block">Generates a new local id for this event.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#calculateCount--">calculateCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#channelClosing-org.firebirdsql.gds.ng.wire.FbWireAsynchronousChannel-">channelClosing</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a>&nbsp;channel)</code>
<div class="block">Signals the closing of an asynchronous channel.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#eventReceived-org.firebirdsql.gds.ng.wire.FbWireAsynchronousChannel-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener.Event-">eventReceived</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a>&nbsp;channel,
             <a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.Event.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener.Event</a>&nbsp;event)</code>
<div class="block">Signals that an event has been received.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#getEventId--">getEventId</a></span>()</code>
<div class="block">Get the internal event id number for this handle</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#getLocalId--">getLocalId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#setEventId-int-">setEventId</a></span>(int&nbsp;eventId)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#toByteArray--">toByteArray</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractEventHandle">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng">AbstractEventHandle</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html#getEventCount--">getEventCount</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html#getEventName--">getEventName</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html#onEventOccurred--">onEventOccurred</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html#setEventCount-int-">setEventCount</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WireEventHandle-java.lang.String-org.firebirdsql.gds.EventHandler-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WireEventHandle</h4>
<pre>public&nbsp;WireEventHandle(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                       <a href="../../../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds">EventHandler</a>&nbsp;eventHandler,
                       <a href="../../../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="calculateCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateCount</h4>
<pre>public&nbsp;void&nbsp;calculateCount()</pre>
</li>
</ul>
<a name="setEventId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEventId</h4>
<pre>public&nbsp;void&nbsp;setEventId(int&nbsp;eventId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventId</code> - The server side id of this event</dd>
</dl>
</li>
</ul>
<a name="getEventId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEventId</h4>
<pre>public&nbsp;int&nbsp;getEventId()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/EventHandle.html#getEventId--">EventHandle</a></code></span></div>
<div class="block">Get the internal event id number for this handle</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/EventHandle.html#getEventId--">getEventId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The internal event id</dd>
</dl>
</li>
</ul>
<a name="assignNewLocalId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assignNewLocalId</h4>
<pre>public&nbsp;int&nbsp;assignNewLocalId()</pre>
<div class="block">Generates a new local id for this event.</div>
</li>
</ul>
<a name="getLocalId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocalId</h4>
<pre>public&nbsp;int&nbsp;getLocalId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current local id of this event.</dd>
</dl>
</li>
</ul>
<a name="toByteArray--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toByteArray</h4>
<pre>public&nbsp;byte[]&nbsp;toByteArray()
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="channelClosing-org.firebirdsql.gds.ng.wire.FbWireAsynchronousChannel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>channelClosing</h4>
<pre>public&nbsp;void&nbsp;channelClosing(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a>&nbsp;channel)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html#channelClosing-org.firebirdsql.gds.ng.wire.FbWireAsynchronousChannel-">AsynchronousChannelListener</a></code></span></div>
<div class="block">Signals the closing of an asynchronous channel.
 <p>
 Fired before the channel is actually closed.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html#channelClosing-org.firebirdsql.gds.ng.wire.FbWireAsynchronousChannel-">channelClosing</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>channel</code> - The channel that is being closed</dd>
</dl>
</li>
</ul>
<a name="eventReceived-org.firebirdsql.gds.ng.wire.FbWireAsynchronousChannel-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener.Event-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eventReceived</h4>
<pre>public&nbsp;void&nbsp;eventReceived(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a>&nbsp;channel,
                          <a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.Event.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener.Event</a>&nbsp;event)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html#eventReceived-org.firebirdsql.gds.ng.wire.FbWireAsynchronousChannel-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener.Event-">AsynchronousChannelListener</a></code></span></div>
<div class="block">Signals that an event has been received.
 <p>
 Implementations should take care to only perform short processing on the current thread. If longer or
 complicated processing is necessary, please offload it to another thread or executor.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html#eventReceived-org.firebirdsql.gds.ng.wire.FbWireAsynchronousChannel-org.firebirdsql.gds.ng.wire.AsynchronousChannelListener.Event-">eventReceived</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>channel</code> - The channel that received the event</dd>
<dd><code>event</code> - The event received</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/WireEventHandle.html" target="_top">Frames</a></li>
<li><a href="WireEventHandle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
